/*  Gnometab -- a guitar tablature editor for GNOME
    Copyright (C) 2001  William L. Guelker

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


void
refresh_chord_canvas(GtabChordLib *lib);
                                        
void
load_lib_chord(GtabChordLib *lib, double x, double y);

void
sort_lib(GtabChordLib *lib);

gint
load_chord_lib_file(GtabChordLib* lib, gchar* filename);

gint
new_chord_lib_file(GtabChordLib *lib, gchar *filename);

void
render_chord_lib_in_pane (GtabApp *app);

GtabChordLib*
create_chord_lib(GtabApp *app);

void
free_chord_lib(GtabChordLib *lib);
